[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCustomShellTreeView

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: shellctrls.pas line 47

`type TCustomShellTreeView = class(TCustomTreeView)`
`protected`
`function PopulateTreeNodeWithFiles();` |  |
`procedure PopulateWithBaseFiles;`
`public`
`constructor Create(); override;` |  |
`destructor Destroy; override;` |  |
`function GetBasePath;`
`procedure GetFilesInDir();` |  |
`function GetPathFromNode();` |  |
`property ObjectTypes: TObjectTypes; [rw]` |  |
`property ShellListView: TCustomShellListView; [rw]`
`end;`

## Inheritance

`TCustomShellTreeView` |  |
`TCustomTreeView` |  | TCustomTreeView - ancestor class for TTreeView
`TCustomControl`
?
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.